Package org.apache.commons.lang3

## Class ObjectUtils.Null

- java.lang.Object
- - org.apache.commons.lang3.ObjectUtils.Null

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  ObjectUtils

    public static class ObjectUtils.Null
    extends java.lang.Object
    implements java.io.Serializable

Class used as a null placeholder where `null` has another meaning.

For example, in a `HashMap` the `HashMap.get(java.lang.Object)` method returns `null` if the `Map` contains `null` or if there is no matching key. The `Null` placeholder can be used to distinguish between these two cases.

Another example is `Hashtable`, where `null` cannot be stored.

See Also:
  Serialized Form

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`